
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>线程管理（五）线程的睡眠和恢复 / iVAN</title>

    <meta name="description" content="线程管理（五）线程的睡眠和恢复 线程的睡眠与恢复 有时, 你会感兴趣在一段确定的时间内中断执行线程.例如, 程序的一个线程每分钟检查反应器状态.其余时间,线程什么也不做.在这段时间,线程不使用任何计算机资源.过了这段时间,当JVM选择它时,线程会准备好继续执行.为达此目的,你可以使用Thread类的 sleep() 方法 .此方法接收一个整数作为参数,表示线程暂停运行的毫秒数. 在调用sleep() 方法后,当时间结束时,当JVM安排他们CPU时间,线程会继续按指令执行, 另一种可能是使用一个有TimeUnit列举元素的sle">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">线程管理（五）线程的睡眠和恢复</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h2><b>线程的睡眠与恢复</b></h2>
<p>有时, 你会感兴趣在一段确定的时间内中断执行线程。例如, 程序的一个线程每分钟检查反应器状态。其余时间，线程什么也不做。在这段时间，线程不使用任何计算机资源。过了这段时间，当JVM选择它时，线程会准备好继续执行。为达此目的，你可以使用Thread类的 sleep() 方法 。此方法接收一个整数作为参数，表示线程暂停运行的毫秒数。 在调用sleep() 方法后，当时间结束时，当JVM安排他们CPU时间，线程会继续按指令执行，</p>
<p>另一种可能是使用一个有TimeUnit列举元素的sleep() 方法，使用线程类的 sleep() 方法让当前线程睡眠，但是它接收的参数单位是表示并转换成毫秒的。</p>
<p>在这个指南中, 我们将开发一个程序使用sleep()方法来每秒写入真实的日期。</p>
<p><b>准备</b></p>
<p>指南中的例子是使用Eclipse IDE 来实现的。如果你使用Eclipse 或者其他的IDE，例如NetBeans, 打开并创建一个新的java项目。</p>
<p><b>怎么做呢</b><b>…</b></p>
<p>按照这些步骤来实现下面的例子：:</p>
<p>1.   创建一个类名为 FileClock，并一定实现Runnable接口。</p>
<table>
<tbody>
<tr>
<td><code>1</code></td>
<td>
<code>public</code> <code>class</code> <code>FileClock </code><code>implements</code> <code>Runnable {</code>
</td>
</tr>
</tbody>
</table>
<p>2.   实现  run() 方法。</p>
<table>
<tbody>
<tr>
<td><code>1</code></td>
<td><code>@Override</code></td>
</tr>
</tbody>
</table>
<table>
<tbody>
<tr>
<td><code>2</code></td>
<td>
<code>public</code> <code>void</code> <code>run() {</code>
</td>
</tr>
</tbody>
</table>
<p>3.   写一个10次循环的环。在每次循环，创建一个Date对象，写入文本并调用TimeUnit 类有SECONDS属性的sleep()方法来暂停线程1秒的运行。根据这个值，线程会停止将近一秒。当然 sleep() 方法 可以抛出一个 InterruptedException 异常，我们要加入捕捉代码。被中断时，解放或关闭正在使用的线程资源是好习惯。</p>
<table>
<tbody>
<tr>
<td><code>1</code></td>
<td>
<code>for</code> <code>(</code><code>int</code> <code>i = </code><code>0</code><code>; i &lt; </code><code>10</code><code>; i++) {</code>
</td>
</tr>
</tbody>
</table>
<table>
<tbody>
<tr>
<td><code>2</code></td>
<td>
<code>  </code><code>System.out.printf(</code><code>"%s\n"</code><code>, </code><code>new</code> <code>Date());</code>
</td>
</tr>
</tbody>
</table>
<table>
<tbody>
<tr>
<td><code>3</code></td>
<td>
<code>  </code><code>try</code> <code>{</code>
</td>
</tr>
</tbody>
</table>
<table>
<tbody>
<tr>
<td><code>4</code></td>
<td>
<code>      </code><code>TimeUnit.SECONDS.sleep(</code><code>1</code><code>);</code>
</td>
</tr>
</tbody>
</table>
<table>
<tbody>
<tr>
<td><code>5</code></td>
<td>
<code>  </code><code>} </code><code>catch</code> <code>(InterruptedException e) {</code>
</td>
</tr>
</tbody>
</table>
<table>
<tbody>
<tr>
<td><code>6</code></td>
<td>
<code>      </code><code>System.out.printf(</code><code>"The FileClock has been interrupted"</code><code>);</code>
</td>
</tr>
</tbody>
</table>
<table>
<tbody>
<tr>
<td><code>7</code></td>
<td>
<code>  </code><code>}</code>
</td>
</tr>
</tbody>
</table>
<table>
<tbody>
<tr>
<td><code>8</code></td>
<td><code>}</code></td>
</tr>
</tbody>
</table>
<table>
<tbody>
<tr>
<td><code>9</code></td>
<td><code>}</code></td>
</tr>
</tbody>
</table>
<p>4.   我们已经实现了线程。 现在，让我们来实现例子的主类吧。创建一个类名为 FileMain ，包含 main() 方法。</p>
<table>
<tbody>
<tr>
<td><code>1</code></td>
<td>
<code>public</code> <code>class</code> <code>FileMain {</code>
</td>
</tr>
</tbody>
</table>
<table>
<tbody>
<tr>
<td><code>2</code></td>
<td>
<code>public</code> <code>static</code> <code>void</code> <code>main(String[] args) {</code>
</td>
</tr>
</tbody>
</table>
<p>5.   创建FileClock类的对象并让一个线程执行它。然后，开始执行线程。</p>
<table>
<tbody>
<tr>
<td><code>1</code></td>
<td>
<code>FileClock clock=</code><code>new</code> <code>FileClock();</code>
</td>
</tr>
</tbody>
</table>
<table>
<tbody>
<tr>
<td><code>2</code></td>
<td>
<code>Thread thread=</code><code>new</code> <code>Thread(clock);</code>
</td>
</tr>
</tbody>
</table>
<table>
<tbody>
<tr>
<td><code>3</code></td>
<td><code>thread.start();</code></td>
</tr>
</tbody>
</table>
<p>6.   在主线程调用TimeUnit类有SECONDS属性的 sleep() 方法来等待5秒。</p>
<table>
<tbody>
<tr>
<td><code>1</code></td>
<td>
<code>try</code> <code>{</code>
</td>
</tr>
</tbody>
</table>
<table>
<tbody>
<tr>
<td><code>2</code></td>
<td>
<code>  </code><code>TimeUnit.SECONDS.sleep(</code><code>5</code><code>);</code>
</td>
</tr>
</tbody>
</table>
<table>
<tbody>
<tr>
<td><code>3</code></td>
<td>
<code>} </code><code>catch</code> <code>(InterruptedException e) {</code>
</td>
</tr>
</tbody>
</table>
<table>
<tbody>
<tr>
<td><code>4</code></td>
<td>
<code>  </code><code>e.printStackTrace();</code>
</td>
</tr>
</tbody>
</table>
<table>
<tbody>
<tr>
<td><code>5</code></td>
<td><code>};</code></td>
</tr>
</tbody>
</table>
<p>7.   中断 FileClock 线程。</p>
<table>
<tbody>
<tr>
<td><code>1</code></td>
<td><code>thread.interrupt();</code></td>
</tr>
</tbody>
</table>
<p>8.   运行例子并查看结果。</p>
<p><b>它是怎么工作的</b><b>…</b></p>
<p>当你运行这个例子，你可以发现程序是如何每秒写入一个Date对象的，然后，有信息显示FileClock线程被中断。</p>
<p>当你调用sleep()方法， Thread 离开CPU并在一段时间内停止运行。在这段时间内，它是不消耗CPU时间的，使用可以执行其他任务。</p>
<p>当 Thread is是睡眠和中断的时候，那方法会立刻抛出InterruptedException异常并不会一直等到睡眠时间过去。</p>
<p><b>更多</b><b>…</b></p>
<p>Java 并发 API 有另一种方法能让线程对象离开 CPU。它是 yield() 方法, 它向JVM表示线程对象可以让CPU执行其他任务。JVM 不保证它会遵守请求。通常，它只是用来试调的。 </p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-24 18:33:00</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>线程管理（五）线程的睡眠和恢复的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OM9EP4M.html" rel="bookmark">线程管理（四）操作线程的中断机制</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				操作线程的中断机制 在之前的指南里,你学习了如何中断执行线程和如何对Thread对象的中断控制.之前例子中的机制可以很容易中断的线程中使用.但是如果线程实现的是由复杂的算法分成的一些方法,或者它的方法有递归调用,那么我们可以用更好的机制来控制线程中断.为了这个Java提供了InterruptedException异常.当你检测到程序的中断并在run()方法内捕获,你可以抛这个异常. 在这个指南中, 我们将实现的线程会根据给定的名称在文件件和子文件夹里查找文件,这个将展示如何使用Interrupt			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgVDk6b.html" rel="bookmark">线程管理（二）获取和设置线程信息</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				获取和设置线程信息 Thread类的对象中保存了一些属性信息能够帮助我们来辨别每一个线程,知道它的状态,调整控制其优先级. 这些属性是: ID: 每个线程的独特标识. Name: 线程的名称. Priority: 线程对象的优先级.优先级别在1-10之间,1是最低级,10是最高级.不建议改变它们的优先级,但是你想的话也是可以的. Status: 线程的状态.在Java中,线程只能有这6种中的一种状态: new, runnable, blocked, waiting, time waiting,			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bodk8vM.html" rel="bookmark">《Java程序员面试秘笈》&mdash;&mdash; 第1章 线程管理 1&period;1 简介</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第1章 线程管理 Java 7并发编程实战手册 本章内容包括: ◆ 线程的创建和运行 ◆ 线程信息的获取和设置 ◆ 线程的中断 ◆ 线程中断的控制 ◆ 线程的休眠和恢复 ◆ 等待线程的终止 ◆ 守护线程的创建和运行 ◆ 线程中不可控异常的处理 ◆ 线程局部变量的使用 ◆ 线程的分组 ◆ 线程组中不可控异常的处理 ◆ 使用工厂类创建线程 1.1 简介 在计算机领域中,我们说的并发(Concurrency)是指一系列任务的同时运行.如果一台电脑有多个处理器或者有一个多核处理器,这个同时性(Simul			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/My2OPEp.html" rel="bookmark">Linux线程管理必备&colon;解析互斥量与条件变量的详解&lowbar;C 语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				   做过稍微大一点项目的人都知道,力求程序的稳定性和调度的方便,使用了大量的线程,几乎每个模块都有一个专门的线程处理函数.而互斥量与条件变量在线程管理中必不可少,任务间的调度几乎都是由互斥量与条件变量控制.互斥量的实现与进程中的信号量(无名信号量)是类似的,当然,信号量也可以用于线程,区别在于初始化的时候,其本质都是P/V操作.编译时,记得加上-lpthread或-lrt哦.    有关进程间通信(消息队列)见:进程间通信之深入消息队列的详解 一.互斥量 1. 初始化与销毁:    对于静态分			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qzDX1Wz.html" rel="bookmark">线程管理（八）在线程里处理不受控制的异常</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在线程里处理不受控制的异常 Java里有2种异常: 检查异常(Checked exceptions): 这些异常必须强制捕获它们或在一个方法里的throws子句中. 例如, IOException 或者ClassNotFoundException. 未检查异常(Unchecked exceptions): 这些异常不用强制捕获它们.例如, NumberFormatException. 在一个线程 对象的 run() 方法里抛出一个检查异常,我们必须捕获并处理他们.因为 run() 方法不接受 t			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAr40Kp.html" rel="bookmark">线程管理（一）线程的创建和运行</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				线程的创建和运行 在这个指南中,我们将学习如何在Java程序中创建和运行线程.与每个Java语言中的元素一样,线程是对象.在Java中,我们有2个方式创建线程: 通过直接继承thread类,然后覆盖run()方法. 构建一个实现Runnable接口的类, 然后创建一个thread类对象并传递Runnable对象作为构造参数 在这个指南中,我们将使用第二种方法来制作一个简单的程序,它能创建和运行10个线程.每一个线程能计算和输出1-10以内的乘法表. 准备 指南中的例子是使用Eclipse IDE			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlBq1az.html" rel="bookmark">线程管理：守护线程的创建和运行</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				线程管理:守护线程的创建和运行 守护线程的创建和运行Java有一种特别的线程叫做守护线程.这种线程的优先级非常低,通常在程序里没有其他线程运行时才会执行它.当守护线程是程序里唯一在运行的线程时,JVM会结束守护线程并终止程序. 根据这些特点,守护线程通常用于在同一程序里给普通线程(也叫使用者线程)提供服务.它们通常无限循环的等待服务请求或执行线程任务.它们不能做重要的任务,因为我们不知道什么时候会被分配到CPU时间片,并且只要没有其他线程在运行,它们可能随时被终止.JAVA中最典型的这种类型代表			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0QOlDp.html" rel="bookmark">线程管理（六）等待线程的终结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				等待线程的终结 在某些情况下,我们需要等待线程的终结.例如,我们可能会遇到程序在执行前需要初始化资源.在执行剩下的代码之前,我们需要等待线程完成初始化任务. 为达此目的, 我们使用Thread 类的join() 方法.当前线程调用某个线程的这个方法时,它会暂停当前线程,直到被调用线程执行完成. 在这个指南中, 我们将学习用初始化例子来使用这个方法. 准备 指南中的例子是使用Eclipse IDE 来实现的.如果你使用Eclipse 或者其他的IDE,例如NetBeans, 打开并创建一个新的ja			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBZPmOb.html" rel="bookmark">一个简单的线程管理方式。</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				文章来源: www.17173.com 周末,总是有点那么的无聊.闲来没事,想想每次自己要进行多线程编程时的痛苦,也并借机考虑设计了一个简单的线程管理方式.      没什么好说的,首先想想线程的创建,每次都要CreateThread,传递一堆的参数,还得没事查查MSDN,唉,效率低啊.反正,对于我来说,线程基本都是缺省优先级.缺省安全的.不如把这些一起封装了.     不多说,C++不用对象机制用什么?顺便借鉴一下java.来个实际线程就是run,启动采用start. class thread			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8ALNz.html" rel="bookmark" class="title">如何在Python的Flask框架中实现全文搜索？</a>
					<div>
						  这篇文章主要介绍了在Python的Flask框架中实现全文搜索功能,这个基本的web功能实现起来非常简单,需要的朋友可以参考下 全文检索引擎入门 灰常不幸的是,关系型数据库对全文检索的支持没有被标 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0boDJjM.html" rel="bookmark" class="title">视觉设计论&colon;网站的色彩影响用户的购物</a>
					<div>
						文章描述:色彩如何影响购物. 对于零售商来说,销售是一门极具说服力的艺术.尽管有很多影响消费者购物的因素,但是一个好的策略是由多种暗示决定的,其中最重要也最有说服力的,就是色彩! 色彩和市场 当出售新 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybjvB0b.html" rel="bookmark" class="title">C&num;中ref和out的使用小结</a>
					<div>
						ref是传递参数的地址,out是返回值,两者有一定的相同之处,不过也有不同点. 使用ref前必须对变量赋值,out不用. out的函数会清空变量,即使变量已经赋值也不行,退出函数时所有out引用的变量 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bElVqoz.html" rel="bookmark" class="title">cmwap和cmnet的区别</a>
					<div>
						CMWAP是什么意思? CMWAP是手机上网使用的接入点的名称.通过CMWAP只能访问WAP网站.CMWAP使用HTTP代理协议和WAP网关协议可以访问到Internet. cmwap和cmnet到底 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDAOkBb.html" rel="bookmark" class="title">Win7怎样使用命令行启动和停止Windows服务程序</a>
					<div>
						  启动停止服务程序有很多的方法: 有些程序自身提供了设置的界面,可以通过这种方式来设置启停;还可以使用第三方的一些程序来控制启停,比如某某卫士之类的程序;还可以通过windows系统的服务管理来指定 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLaaBvz.html" rel="bookmark" class="title">利用Photoshop制作电影场景的立体数字效果</a>
					<div>
						  教程中的立体字也是手工完成,其中立体面的制作非常不错,作者用复制的方法得到立体面,然后把立体面再细分成几个部分,分别用不同的图层样式加上颜色和质感,效果非常细腻. 最终效果 1.打开背景素材. 2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z426Y1M.html" rel="bookmark" class="title">Win7系统总是弹出&OpenCurlyDoubleQuote;微软设备健康助手&rdquo;窗口怎么关闭</a>
					<div>
						  解决方法: 如不想升级Win10系统,请点击&quot;更多选项&quot;,选择&quot;暂不升级&quot;,点击&quot;确定&quot;即可. PS:还隐藏的挺深,微软为了推广Win1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkGLyEp.html" rel="bookmark" class="title">XP共享文件需要防护罩</a>
					<div>
						公司的电脑里有许多公司员工都可以浏览的共享文件,但是往往有员工不希望涉及到自己利益和隐私的文件被其他无关紧要的员工浏览.想要解决这个问题不访来学学如何给共享文件设密码吧.学会这一招对于你而言会有不少好 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7VX6b.html" rel="bookmark" class="title">Apache的基本设置和乱码解决方法</a>
					<div>
						Apache的基本设置和乱码解决方法 一.Apache基本设置 1.Apache的核心配置文件名是&quot;httpd.conf&quot;,其所存放的路径为&quot;X:Apache2conf& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA7kVKz.html" rel="bookmark" class="title">一个地址的旅程</a>
					<div>
						The Trip of An Address -- An Outline Jason Lee http://blog.csdn.net/jasonblog http://weibo.com/jason ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6Ly7b.html" rel="bookmark" class="title">淘满意正式公测  社区电子商务借力于phpwind</a>
					<div>
						阿里云计算旗下通用社区网站建站软件与服务提供商phpwind在刚刚结束的新品发布会上,不仅高调宣布继续提升社区网站门户媒体价值,同时提出打造社区电子商务生态圈规划.会上phpwind 技术总监陈燎罕提 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdEd63z.html" rel="bookmark" class="title">利用正则实现彩色控制台输出</a>
					<div>
						最近忙了一阵less的二次开发的工作,期间遇到了不少需要向控制台输出彩色文字的需求.翻了下以前同事的代码,发现要么自己拼转义字符串,要么使用一些不太好用的第三方库,总之都不是很合自己的口味.按照自己的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZdmab.html" rel="bookmark" class="title">天气预报后台崩溃。。。调试。。。解决 另：发布手机软件下载地址</a>
					<div>
						经过2天的处理,原来是数据库的配置文件MY.INI出现了问题. 就是T M D乱码问题,真恶.解析没问题,插入数据库全乱码,手机端崩溃.现在重新可以用了.手机下载地址: weather.commap. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mxo5BBb.html" rel="bookmark" class="title">安卓用url制作二维码后转为二进制数据流</a>
					<div>
						问题描述 安卓用url制作二维码后转为二进制数据流 我可以用zxing将一个Url转为一个二维码图片,可是怎么将这个图片转换成数据流呢?类似IOS里面的NSdata的数据格式?					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9YqgXM.html" rel="bookmark" class="title">Fedora &plus; Eclipse &plus; CUDA6&period;0</a>
					<div>
						为了运行Caffe,在Fedora 17系统中安装了CUDA6.0,某天突然发现开始菜单中有NSight Eclipse Edition,于是好奇地打开看看和Visual Studio有什么区别. 打 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6rv8b.html" rel="bookmark" class="title">Apache Spark源码走读（五）部署模式下的容错性分析 &amp;amp&semi;standalone cluster模式下资源的申请与释放</a>
					<div>
						&lt;一&gt;部署模式下的容错性分析 概要 本文就standalone部署方式下的容错性问题做比较细致的分析,主要回答standalone部署方式下的包含哪些主要节点,当某一类节点出现问题时,系统 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZE685p.html" rel="bookmark" class="title">对视图 进行增删改 是否能改变其对应的基表的数据呀</a>
					<div>
						问题描述 对视图 进行增删改 是否能改变其对应的基表的数据呀 sql问题: 删除视图中的数据其对应的基表中的数据会发生改变吗? 解决方案 有些情况下会,有些情况下不能(比如视图里有sum.avg.co ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwx09vb.html" rel="bookmark" class="title">dsp builder-求助 dspbuilder matlab</a>
					<div>
						问题描述 求助 dspbuilder matlab 解决方案 http://www.cnblogs.com/woshitianma/archive/2012/08/17/DSPbuilder-MATL ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lQJ9b.html" rel="bookmark" class="title">用php插入数据到文本文件当中，怎么实现插入的数据换行？</a>
					<div>
						问题描述 用php插入数据到文本文件当中,怎么实现插入的数据换行? 我加了&quot;n&quot; 为什么不能实现自动换行 file_put_contents(&quot;log.txt&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ZeRnz.html" rel="bookmark" class="title">Extjs4快速上手三&mdash;&mdash;实现主界面</a>
					<div>
						原文 http://www.cnblogs.com/good-temper/archive/2013/04/12/3015843.html 晕啊,今天不顺啊,白天毕设因为一个小问题耽误了很长时间,刚写 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlK6mqb.html" rel="bookmark" class="title">网站关键词标题和网页描述技巧&lowbar;站长必看&lowbar;网站运营</a>
					<div>
						在我们的搜索引擎优化工 作中,可能很多朋友会遇到这样一个问题,网站一些关键词排名不错,但是点击访问的不多,甚至有朋友曾调查过,发现有时候排名靠前的访问量比靠后的点击率更 低,有些网站访问量很高,但是网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5RwJDz.html" rel="bookmark" class="title">单独的生产排程软件价值几何？有没有市场？</a>
					<div>
						问题描述 单独的生产排程软件价值几何?随着设备自动化程度的提高,比如说生产线等等,生产管理趋于简单.再开发生产排程软件还有没有市场,有没有必要? 解决方案 解决方案二:没什么意思.早过气了.该饱和的饱 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPk1A0M.html" rel="bookmark" class="title">那些年，我们一起游玩过的地方</a>
					<div>
						       前段时间,电影&lt;那些年,我们一起追过的女孩&gt;很火.我自己也看了两遍,勾起了不少的回忆.最近离校在即,我打开了自己的相册,发现在读研的这几年,自己还是去不少地方游玩过.所谓&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXKPGjM.html" rel="bookmark" class="title">德银今日发布投资报告，重申 唯品会 股票&lpar;NYSE&colon; VIPS &rpar;买入评级</a>
					<div>
						以下为报告内容摘要: 第三财季业绩:净营收为3.84亿美元,同比增长146%,环比增长9%,超出了3.7亿美元的指导性预期的上限,也高于我们及华尔街的预期.唯品会预计,第四财季营收将达到5.8亿美元至 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0NnlJz.html" rel="bookmark" class="title">iOS开发中WebView的基本使用方法简介&lowbar;IOS</a>
					<div>
						1.使用UIWebView加载网页运行XCode 4.3,新建一个Single View Application,命名为WebViewDemo. 2.加载WebView在ViewController. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8D4rb.html" rel="bookmark" class="title">如何改进javascript代码的性能&lowbar;javascript技巧</a>
					<div>
						本来在那片编写可维护性代码文章后就要总结这篇代码性能文章的,耽搁了几天,本来也是决定每天都要更新一篇文章的,因为以前欠下太多东西没总结,学过的东西没去总结真的很快就忘记了,记录一下在你脑力留下更深的印 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNv5KPM.html" rel="bookmark" class="title">javascript中5个常用web debug调试插件介绍</a>
					<div>
						在前端开发中,调试技术是必不可少的技能,本文将介绍五种前端开发必备的调试技术. Weinre移动调试 DOM 断点 debugger断点 native方法hook 远程映射本地调试 Weinre 在移 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEYLV9b.html" rel="bookmark" class="title">js操作模态窗口及父子窗口间相互传值示例&lowbar;javascript技巧</a>
					<div>
						parent.hmtl 复制代码 代码如下: &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD HTML 4.01 Transitional//EN&quot; & ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0kgxp.html" rel="bookmark" class="title">android-关于NFC开发的一个疑难问题</a>
					<div>
						问题描述 关于NFC开发的一个疑难问题 最近接手了其他人已经完成的一个APP,然后要求在里面加上NFC扫描的功能,只是加个NFC的话倒是简单了,但是现在出了问题,之前的同事通过TabHost和Radi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvWreAp.html" rel="bookmark" class="title">银行呼吁金融功能监管 称互联网金融藏风险</a>
					<div>
						原标题:银行业呼吁金融&quot; 功能监管&quot;余额宝威胁到银行了吗?在昨日新浪金麒麟论坛上,银行和互联网金融机构的代表都 认为余额宝对银行冲击不大,但对于互联网金融的监管,工行副行长谷澍称, ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
